# Mapxus map js sdk

## Dependency

mapbox-gl-js

## Install
```
npm install mapxus-map
```

## Example
```js
import mapboxgl from 'mapbox-gl';
import 'mapbox-gl/src/css/mapbox-gl.css';
import * as MapxusMap from 'mapxus-map';

const mapbox = new mapboxgl.Map({
    container: 'map'
});

const map = new MapxusMap.Map({
    map: mapbox,
    appId: 'your_appId',
    secret: 'your_secret',
    buildingId: 'building_id', // example: elements_hk_dc005f
});
```

More sample page at [https://map-service.mapxus.com/bssww/loadMap](https://map-service.mapxus.com/bssww/loadMap)

## Documentation

Docs are available at [https://map-service.mapxus.com/dpw/digitalMapWeb](https://map-service.mapxus.com/dpw/digitalMapWeb)

## License

3-Clause BSD